# Partially updates a group application process with the specified ID.

This method will patch an existing group application process with the specified ID, using the HTTP PATCH specification.

Endpoint: PATCH /groupApplicationProcesses/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the group application process to patch.

## Request body:

  - `application/json` (unknown)
    The patch directives conforming to RFC 6902.

## Request fields (application/json):

  - `op` (string, required)
    The operation
    Enum: "add", "copy", "move", "remove", "replace", "test"

  - `path` (string, required)
    The JSON path

  - `value` (string)

## Response 200:

  - `200` (unknown)
    The group application process was patched successfully.

## Response 200 fields (application/json):

  - `account_delegation_process_id` (string, required)
    If set, the process used for account deletion if the group admin wants to join/renew members they do not own

  - `checkout_settings` (object, required)

  - `checkout_settings.allow_customer_to_choose_installment_plan` (boolean)
    If true, the customer can choose their installment plan

  - `checkout_settings.bank_account_id` (string, required)
    The default bank account that the store should use to receive payments

  - `checkout_settings.bill_my_organization_options` (object)

  - `checkout_settings.bill_my_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.bill_my_parent_organization_options` (object)

  - `checkout_settings.bill_my_parent_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.business_unit_id` (string, required)
    The business unit of the store

  - `checkout_settings.cancellation_fee_product_id` (string)
    The ID of the product used for cancellation fees

  - `checkout_settings.checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean)
    If set, the user can specify their own custom donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string)
    The text shown to the user when making the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_information` (string)
    Additional information about the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required)
    The misc product that should be used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean)
    If set, donation denominations are specified here and the defaults are not used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number)
    A suggested donation

  - `checkout_settings.checkout_donation_options.type` (string)
    Enum: "simple"

  - `checkout_settings.credit_card_minimum_range_end` (number)
    If set, the maximum amount for which credit cards can be taken

  - `checkout_settings.credit_card_minimum_range_start` (number)
    If set, the minimum amount for which credit cards can be taken

  - `checkout_settings.credit_card_mode` (string)
    Determines whether or not credit cards are accepted
    Enum: "disabled", "enabled", "range"

  - `checkout_settings.credit_card_processing_fee_mode` (string)
    Determines how credit card processing fees should be handled
    Enum: "charge", "do not charge", "prompt user"

  - `checkout_settings.credit_card_processing_fee_options` (object)

  - `checkout_settings.credit_card_processing_fee_options.fee_percentage` (number, required)
    The fee percentage to charge for credit card processing

  - `checkout_settings.credit_card_processing_fee_options.maximum_fee` (number)
    The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.minimum_fee` (number)
    The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.product_id` (string, required)
    The misc product to use for the credit card processing

  - `checkout_settings.credit_card_processing_fee_options.prompt_sub_text` (string)
    Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.credit_card_processing_fee_options.prompt_text` (string)
    The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.custom_order_preprocessing_options` (object)

  - `checkout_settings.custom_order_preprocessing_options.lambda_function_id` (string, required)
    The custom lambda function to use

  - `checkout_settings.custom_order_pricing_options` (object)

  - `checkout_settings.custom_order_pricing_options.lambda_function_id` (string, required)
    The custom lambda function to use

  - `checkout_settings.disable_electronic_payment_vaulting` (boolean)
    If set, in the portal people are not allowed to save credit cards

  - `checkout_settings.enable_bill_my_organization` (boolean)
    If set, the user has the option to bill their organization

  - `checkout_settings.enable_bill_my_parent_organization` (boolean)
    If set, the user has the option to bill their organization's parent organization

  - `checkout_settings.enable_custom_order_preprocessing` (boolean)
    If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion

  - `checkout_settings.enable_custom_order_pricing` (boolean)
    If set, the order engine will call out to a custom lambda function to review the order immediately after pricing calculation

  - `checkout_settings.enable_donations_at_checkout` (boolean)
    If selected, users will be prompted to make a donation upon checking out

  - `checkout_settings.enable_electronic_checks` (boolean)
    If set, electronic checks are allowed

  - `checkout_settings.enable_pay_later` (boolean)
    If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

  - `checkout_settings.enable_payroll_deduction` (boolean)
    If set, payroll deduction is allowed

  - `checkout_settings.enable_split_payments` (boolean)
    If set, users are allowed to split payments

  - `checkout_settings.installment_plan_options` (array)

  - `checkout_settings.invoice_payment_terms_id` (string)
    The payment terms for invoices; if left blank, default is used

  - `checkout_settings.invoice_template_id` (string)
    The template to use for invoices created during this process

  - `checkout_settings.merchant_account_id` (string, required)
    The merchant account that the store should use to receive payments

  - `checkout_settings.pay_later_options` (object)

  - `checkout_settings.pay_later_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.reference_number` (string)
    The reference #

  - `checkout_settings.restocking_fee_product_id` (string)
    The ID of the product used for restocking fees

  - `checkout_settings.special_instructions` (string)
    Instructions shown to the user

  - `checkout_settings.use_pro_forma_invoices` (boolean)
    Whether to use pro forma invoices when user elects to pay later

  - `contact_form_id` (string, required)
    The contact form to show to group administrators when they are registering individuals

  - `contact_role_ids` (array, required)
    The contact roles that can perform group registration

  - `description` (string)
    Description to display in the portal

  - `display_in_portal` (boolean)
    Whether or not to hide in the portal

  - `display_in_portal_as` (string)
    How to display this process in the portal

  - `eligibility_criteria` (object, required)
    The criteria for eligibility

  - `eligibility_criteria.advanced_rule_error_message` (string)
    The error message to show when the advanced rule fails

  - `eligibility_criteria.advanced_rules` (object)

  - `eligibility_criteria.age_restrictions` (object)

  - `eligibility_criteria.age_restrictions.maximum_age` (number)
    The maximum age of the contact

  - `eligibility_criteria.age_restrictions.minimum_age` (number)
    The minimum age of the contact

  - `eligibility_criteria.award_options` (object)

  - `eligibility_criteria.award_options.award_ids` (array)

  - `eligibility_criteria.award_options.award_type_ids` (array)

  - `eligibility_criteria.award_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.award_recipients` (boolean)
    If set, only people who have received awards

  - `eligibility_criteria.by_location` (boolean)
    If true, then filter by location

  - `eligibility_criteria.certificants` (boolean)
    If set, only people with specific certifications

  - `eligibility_criteria.certification_options` (object)

  - `eligibility_criteria.certification_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.certification_options.program_ids` (array)

  - `eligibility_criteria.committee_member_options` (object)

  - `eligibility_criteria.committee_member_options.committee_ids` (array)

  - `eligibility_criteria.committee_member_options.committee_position_ids` (array)

  - `eligibility_criteria.committee_member_options.committee_type_ids` (array)

  - `eligibility_criteria.committee_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.committee_members` (boolean)
    If set, active members who belong to a committee can purchase

  - `eligibility_criteria.custom_logic_options` (object)

  - `eligibility_criteria.custom_logic_options.lambda_function_id` (string, required)
    The custom lambda function to use

  - `eligibility_criteria.customer_type` (string)
    Enum: "contact", "organization"

  - `eligibility_criteria.donor_options` (object)

  - `eligibility_criteria.donor_options.donor_club_ids` (array)

  - `eligibility_criteria.donor_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.donors` (boolean)
    If true, only donors

  - `eligibility_criteria.enable_advanced_rules` (boolean)
    Enable advanced JSON rules

  - `eligibility_criteria.enable_age_restrictions` (boolean)
    Age registrations

  - `eligibility_criteria.enable_custom_logic` (boolean)
    If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion

  - `eligibility_criteria.enable_entitlement_restrictions` (boolean)
    If set, then you must have certain entitlements

  - `eligibility_criteria.enable_expression` (boolean)
    Whether or not to enable an expression for evaluation

  - `eligibility_criteria.enable_organization_restrictions` (boolean)
    If set, you can restrict organizations

  - `eligibility_criteria.enable_status_restriction` (boolean)
    If set, you can restrict by status

  - `eligibility_criteria.entitlement_restrictions` (array)

  - `eligibility_criteria.entitlement_restrictions.quantity` (number)
    The quantity you must have

  - `eligibility_criteria.entitlement_restrictions.type_id` (string, required)
    The type of entitlement

  - `eligibility_criteria.event_registration_options` (object)

  - `eligibility_criteria.event_registration_options.event_ids` (array)

  - `eligibility_criteria.event_registration_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.event_registration_options.registration_category_ids` (array)

  - `eligibility_criteria.event_registrations` (boolean)
    If set, only people who have registered for events

  - `eligibility_criteria.expression` (string)
    The expression

  - `eligibility_criteria.expression_error_message` (string)
    The error message to show when the expression fails

  - `eligibility_criteria.location` (object)

  - `eligibility_criteria.location.countries` (array)
    Countries

  - `eligibility_criteria.location.negate_logic` (boolean)
    If true, the logic in this section is negated; so NOT from these places

  - `eligibility_criteria.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.member_options` (object)

  - `eligibility_criteria.member_options.chapter_member_options` (object)

  - `eligibility_criteria.member_options.chapter_member_options.chapter_ids` (array)

  - `eligibility_criteria.member_options.chapter_member_options.chapter_type_ids` (array)

  - `eligibility_criteria.member_options.chapter_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.member_options.chapter_members` (boolean)
    If set, active members who belong to a chapter can purchase

  - `eligibility_criteria.member_options.member_package_ids` (array)
    The member package

  - `eligibility_criteria.member_options.member_status_reason_ids` (array)

  - `eligibility_criteria.member_options.member_statuses` (array)

  - `eligibility_criteria.member_options.member_type_ids` (array)
    The member types

  - `eligibility_criteria.member_options.section_member_options` (object)

  - `eligibility_criteria.member_options.section_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `eligibility_criteria.member_options.section_member_options.section_ids` (array)

  - `eligibility_criteria.member_options.section_member_options.section_type_ids` (array)

  - `eligibility_criteria.member_options.section_members` (boolean)
    If set, active members who belong to a section can purchase

  - `eligibility_criteria.members` (boolean)
    If set, active members can purchase this

  - `eligibility_criteria.non_members` (boolean)
    If set, only nonmembers can purchase

  - `eligibility_criteria.organization_restrictions` (object)

  - `eligibility_criteria.organization_restrictions.contact_role_ids` (array)

  - `eligibility_criteria.organization_restrictions.organization_type_ids` (array)

  - `eligibility_criteria.status_restrictions` (array)
    The statuses

  - `eligibility_criteria.use_organization_for_eligibility` (boolean)
    If checked, a person's organization is used to check for eligibility, rather than the person themselves

  - `enable_account_delegation` (boolean)
    If set, then group administrators can request to be delegates for contacts not tied to their organization

  - `enable_eligibility_criteria` (boolean)
    If set, only certain people/organizations can use this process

  - `enable_tiered_discounts` (boolean)
    If set, tiered discounts are enabled

  - `group_administrator_confirmation_email` (object, required)

  - `group_administrator_confirmation_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `group_administrator_confirmation_email.body` (string, required)
    The email body

  - `group_administrator_confirmation_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `group_administrator_confirmation_email.from` (string)
    From email address

  - `group_administrator_confirmation_email.from_name` (string)
    From name

  - `group_administrator_confirmation_email.reply_to` (string)
    The reply to

  - `group_administrator_confirmation_email.subject` (string, required)
    The email subject

  - `group_administrator_instructions` (string, required)
    Instructions to show to group administrators

  - `id` (string, required)
    The unique, string identifier of this group application process

  - `is_active` (boolean)
    Whether or not this group application process is active

  - `membership_package_ids` (array, required)
    The membership packages that are applicable to this process

  - `membership_type_ids` (array, required)
    The membership types that are applicable to this process

  - `name` (string, required)
    The name of the group application process

  - `override_checkout_settings` (boolean)
    Whether or not to override POC settings

  - `restrict_to_specific_contact_roles` (boolean)
    If true, only certain contact roles can perform group registration

  - `restrict_to_specific_membership_packages` (boolean)
    If true, only certain membership packages are applicable to this process

  - `restrict_to_specific_membership_types` (boolean)
    If true, only certain membership types are applicable to this process

  - `send_confirmation_email_to_group_administrator` (boolean)
    If true, an email is sent to the administrator of the group once registration is complete

  - `show_instructions_to_group_administrators` (boolean)
    If set, group administrators see instructions

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `tiered_discount_rules` (array, required)

  - `tiered_discount_rules.discount_amount` (number, required)
    The amount/percentage to discount

  - `tiered_discount_rules.discount_type` (string, required)
    Enum: "amount", "percentage"

  - `tiered_discount_rules.end_range` (number, required)
    The end range for this rule (one-based)

  - `tiered_discount_rules.start_range` (number, required)
    The starting range for this rule (one-based)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The JSON patch directive you supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The group application process could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The group application process could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve group application process based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

